VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::updatesession::FileTypes::AddSpec Class Reference

The `File.AddSpec` class describes the properties of the file to be uploaded. More...

List of all members.

## Public Member Functions
| AddSpec ()
| Creates a default new instance.
string | GetName ()
| The name of the file being uploaded.
void | SetName (string name)
| The name of the file being uploaded.
vmware.content.library.item.updatesession.FileTypes.SourceType | GetSourceType ()
| The source type ( NONE, PUSH, PULL) from which the file content will be retrieved.
void | SetSourceType (vmware.content.library.item.updatesession.FileTypes.SourceType sourceType)
| The source type ( NONE, PUSH, PULL) from which the file content will be retrieved.
vmware.content.library.item.TransferEndpoint | GetSourceEndpoint ()
| Location from which the Content Library Service will fetch the file, rather than requiring a client to upload the file.
void | SetSourceEndpoint (vmware.content.library.item.TransferEndpoint sourceEndpoint)
| Location from which the Content Library Service will fetch the file, rather than requiring a client to upload the file.
long | GetSize ()
| The file size, in bytes.
void | SetSize (long?size)
| The file size, in bytes.
vmware.content.library.item.FileTypes.ChecksumInfo | GetChecksumInfo ()
| The checksum of the file.
void | SetChecksumInfo (vmware.content.library.item.FileTypes.ChecksumInfo checksumInfo)
| The checksum of the file.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `File.AddSpec` class describes the properties of the file to be uploaded.

## Constructor & Destructor Documentation

vmware::content::library::item::updatesession::FileTypes::AddSpec::AddSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::updatesession::FileTypes::AddSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::updatesession::FileTypes::AddSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::updatesession::FileTypes::AddSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::updatesession::FileTypes::AddSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::updatesession::FileTypes::AddSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::updatesession::FileTypes::AddSpec::Equals | ( | object | obj | ) | `[inline]`

vmware.content.library.item.FileTypes.ChecksumInfo vmware::content::library::item::updatesession::FileTypes::AddSpec::GetChecksumInfo | ( |  | ) | `[inline]`

The checksum of the file.

If specified, the server will verify the checksum once the file is received. If there is a mismatch, the upload will fail.

override int vmware::content::library::item::updatesession::FileTypes::AddSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::item::updatesession::FileTypes::AddSpec::GetName | ( |  | ) | `[inline]`

The name of the file being uploaded.

long vmware::content::library::item::updatesession::FileTypes::AddSpec::GetSize | ( |  | ) | `[inline]`

The file size, in bytes.

vmware.content.library.item.TransferEndpoint vmware::content::library::item::updatesession::FileTypes::AddSpec::GetSourceEndpoint | ( |  | ) | `[inline]`

Location from which the Content Library Service will fetch the file, rather than requiring a client to upload the file.

vmware.content.library.item.updatesession.FileTypes.SourceType vmware::content::library::item::updatesession::FileTypes::AddSpec::GetSourceType | ( |  | ) | `[inline]`

The source type ( NONE, PUSH, PULL) from which the file content will be retrieved.

void vmware::content::library::item::updatesession::FileTypes::AddSpec::SetChecksumInfo | ( | vmware.content.library.item.FileTypes.ChecksumInfo | checksumInfo | ) | `[inline]`

The checksum of the file.

If specified, the server will verify the checksum once the file is received. If there is a mismatch, the upload will fail.

void vmware::content::library::item::updatesession::FileTypes::AddSpec::SetName | ( | string | name | ) | `[inline]`

The name of the file being uploaded.

void vmware::content::library::item::updatesession::FileTypes::AddSpec::SetSize | ( | long? | size | ) | `[inline]`

The file size, in bytes.

void vmware::content::library::item::updatesession::FileTypes::AddSpec::SetSourceEndpoint | ( | vmware.content.library.item.TransferEndpoint | sourceEndpoint | ) | `[inline]`

Location from which the Content Library Service will fetch the file, rather than requiring a client to upload the file.

void vmware::content::library::item::updatesession::FileTypes::AddSpec::SetSourceType | ( | vmware.content.library.item.updatesession.FileTypes.SourceType | sourceType | ) | `[inline]`

The source type ( NONE, PUSH, PULL) from which the file content will be retrieved.

override string vmware::content::library::item::updatesession::FileTypes::AddSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- updatesession/FileTypes.cs